# home-stack-kustomize

Kubernetes deployment for home cluster.

## Deploying

Prerequisites:
* make
* docker
* kubectl

For local deployment:
* k3d

### Local deployment
``` sh
./setup-local-cluster.sh
make
make apply
```

### Prod deployment
``` sh
make environment=prod
make environment=prod apply
```

## Services

| service                                                                  | local                                 | prod                                      |
| ------------------------------------------------------------------------ | ------------------------------------- | ----------------------------------------- |
| [kubernetes-dashboard](https://github.com/kubernetes/dashboard/releases) | http://kubernetes-dashboard.localhost | https://kubernetes-dashboard.badjnet.home |
| [traefik](https://github.com/traefik/traefik)                            | http://traefik.localhost/dashboard/   | https://traefik.badjnet.home/dashboard/   |
| [longhorn](https://github.com/longhorn/longhorn)                         |                                       | https://longhorn.badjnet.home             |
| [grafana](https://github.com/grafana/grafana)                            | http://grafana.localhost              | https://grafana.badjnet.home              |
| [prometheus](https://github.com/prometheus/prometheus)                   | http://prometheus.localhost           | https://prometheus.badjnet.home           |
| [gitea](https://github.com/go-gitea/gitea)                               | http://gitea.localhost                | https://gitea.badjware.dev                |
| [drone](https://github.com/drone/drone)                                  | http://drone.localhost                | https://drone.badjware.dev                |
| [nextcloud](https://github.com/nextcloud/server)                         | http://nextcloud.localhost            | https://cloud.badjware.dev                |
